Skip to main content
`Ctrl`+`K`

# PEPGetType

Gets the `PEP` type as a string from the `PEP` object.

## Synopsis

    #include "slepcpep.h"
    PetscErrorCode PEPGetType(PEP pep,PEPType *type)

Not Collective

## Input Parameter

- pep - the polynomial eigensolver context

## Output Parameter

- type - name of `PEP` method

## See Also

PEP: Polynomial Eigenvalue Problems, `PEPSetType()`

## Level

intermediate

## Location

src/pep/interface/pepbasic.c

## Examples

src/pep/tutorials/ex16f.F90
src/pep/tutorials/ex38.c
src/pep/tutorials/ex28.c

Index of all PEP routines Table of Contents for all manual pages Index of all manual pages